Bug 32833 - installkernel overrides INSTALL_PATH.
installkernel overrides INSTALL_PATH.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-23 12:32 EST by Mikkel L. Ellertson
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 22:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikkel L. Ellertson 2001-03-23 12:32:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18K7 i686)


When you compile your own kernel, installkernel will override the
INSTALL_PATH varable if you run "make install".  (Installkernel is
installed as part of the kernel RPM.)  Having the new kernel end up in
/boot is fine if you are compiling a new kernel for the current machine,
but it is a problem if you are compiling it for another machine, especialy
if you are building the kernel as root.

Reproducible: Always
Steps to Reproduce:
1.Install a stock kernel.
2.Set INSTALL_PATH to anything except /boot.
3.Run "make install" in the root directory of the kernel source.
	

Actual Results:  The new kernel ends up in /boot.

Expected Results:  The new kernel ends up in directory pointed to by
INSTALL_PATH.


In /sbin/installkernel, change:

INSTALL_PATH=/boot
	to
if [ -z $INSTALL_PATH ] ; then
    INSTALL_PATH=/boot
fi
Comment 1 Jim Wright 2002-05-21 22:20:45 EDT
bug still present in 7.2 and in 7.3

also, /sbin/installkernel is now owned by mkinitrd and not kernel
Comment 2 Erik Troan 2002-05-22 12:48:00 EDT
fixed for mkinitrd 3.3.12 -- we don't reconfigure the bootloader if
INSTALL_PATH != "/boot" though...

Note You need to log in before you can comment on or make changes to this bug.